#ifndef ENV_PRIVATE_H
# define ENV_PRIVATE_H
# include "./env.h"
# include "../libftx/libftx.h"
# include "../utils/utils.h"

void		swap_env_3(void **a, void **b, void **c);
void		swap_env(void **a, void **b);
char		*get_value(char *str);
char		*get_key(char *str);
int			get_index(char *str, char c);
char		*ft_env_filler(t_data *data, const char *str);

#endif
